Debian Bug report logs - #597769
cabal-install: wrong use of mktemp in bash completion script

version graph

Package: cabal-install; Maintainer for cabal-install is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for cabal-install is src:haskell-cabal-install.

Reported by: Jan Braun <janbraun@gmx.net>

Date: Wed, 22 Sep 2010 20:54:02 UTC

Severity: normal

Tags: fixed-upstream, patch, upstream

Found in version haskell-cabal-install/0.8.0-1

Done: Marco Túlio Gontijo e Silva <marcot@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://hackage.haskell.org/trac/hackage/ticket/741

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#597769; Package cabal-install. (Wed, 22 Sep 2010 20:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Braun <janbraun@gmx.net>:
New Bug report received and forwarded. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Wed, 22 Sep 2010 20:54:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan Braun <janbraun@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cabal-install: wrong use of mktemp in bash completion script
Date: Wed, 22 Sep 2010 22:51:03 +0200
[Message part 1 (text/plain, inline)]
Package: cabal-install
Version: 0.8.0-1
Severity: normal
Tags: patch

Hi,
the bash completion script
1) does not check the return value of mktemp and
2) fails in the presence of "set -o noclobber"
attached is a patch to fix both.

Cheers,
    Jan

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (99, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages cabal-install depends on:
ii  libc6                   2.11.2-5         Embedded GNU C Library: Shared lib
ii  libffi5                 3.0.9-2          Foreign Function Interface library
ii  libgmp3c2               2:4.3.2+dfsg-1   Multiprecision arithmetic library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages cabal-install recommends:
ii  ghc6                          6.12.1-13  GHC - the Glasgow Haskell Compilat

cabal-install suggests no packages.

-- Configuration Files:
/etc/bash_completion.d/cabal changed [not included]

-- no debconf information

-- 
()  ascii ribbon campaign - against html e-mail
/\  www.asciiribbon.org   - against proprietary attachments
[cabal.bashcompletion.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) upstream. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Thu, 23 Sep 2010 08:15:08 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://hackage.haskell.org/trac/hackage/ticket/741'. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Thu, 23 Sep 2010 08:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#597769; Package cabal-install. (Thu, 23 Sep 2010 08:45:07 GMT) Full text and rfc822 format available.

Message #12 received at 597769@bugs.debian.org (full text, mbox):

From: "Hackage" <cvs-ghc@haskell.org>
Cc: cabal-devel@haskell.org
Subject: [Hackage] #741: cabal-install: wrong use of mktemp in bash completion script
Date: Thu, 23 Sep 2010 08:10:56 -0000
#741: cabal-install: wrong use of mktemp in bash completion script
---------------------------------+------------------------------------------
  Reporter:  nomeata             |        Owner:         
      Type:  defect              |       Status:  new    
  Priority:  normal              |    Milestone:         
 Component:  cabal-install tool  |      Version:  1.6.0.3
  Severity:  normal              |     Keywords:         
Difficulty:  unknown             |   Ghcversion:         
  Platform:  Linux               |  
---------------------------------+------------------------------------------
 The following bug was reported by Jan Braun against the Debian bugtracker
 at http://bugs.debian.org/597769

 Hi,
 the bash completion script
 1) does not check the return value of mktemp and
 2) fails in the presence of "set -o noclobber"
 attached is a patch to fix both.

-- 
Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/741>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#597769; Package cabal-install. (Sat, 25 Sep 2010 15:21:06 GMT) Full text and rfc822 format available.

Message #15 received at 597769@bugs.debian.org (full text, mbox):

From: "Hackage" <cvs-ghc@haskell.org>
Cc: cabal-devel@haskell.org
Subject: Re: [Hackage] #741: cabal-install: wrong use of mktemp in bash completion script
Date: Sat, 25 Sep 2010 15:17:58 -0000
#741: cabal-install: wrong use of mktemp in bash completion script
---------------------------------+------------------------------------------
  Reporter:  nomeata             |        Owner:         
      Type:  defect              |       Status:  new    
  Priority:  normal              |    Milestone:         
 Component:  cabal-install tool  |      Version:  1.6.0.3
  Severity:  normal              |     Keywords:         
Difficulty:  unknown             |   Ghcversion:         
  Platform:  Linux               |  
---------------------------------+------------------------------------------

Comment(by duncan):

 Great thanks.

 If you're a bash coder, would you consider helping us with a patch to
 simplify the completion script by remove the `cabal list` feature?
 Currently it tries to complete package names by calling `cabal list`. This
 does not work well and makes the script rather more complicated than it
 really needs to be.

-- 
Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/741#comment:1>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#597769; Package cabal-install. (Sun, 26 Sep 2010 23:09:03 GMT) Full text and rfc822 format available.

Message #18 received at 597769@bugs.debian.org (full text, mbox):

From: "Hackage" <cvs-ghc@haskell.org>
Cc: cabal-devel@haskell.org
Subject: Re: [Hackage] #741: simplified bash completion file (was: cabal-install: wrong use of mktemp in bash completion script)
Date: Sun, 26 Sep 2010 23:05:54 -0000
#741: simplified bash completion file
---------------------------------+------------------------------------------
  Reporter:  nomeata             |        Owner:         
      Type:  defect              |       Status:  new    
  Priority:  normal              |    Milestone:         
 Component:  cabal-install tool  |      Version:  1.6.0.3
  Severity:  normal              |     Keywords:         
Difficulty:  unknown             |   Ghcversion:         
  Platform:  Linux               |  
---------------------------------+------------------------------------------

Comment(by guest):

 Hey,

 I hope that's what you had in mind, otherwise please holler.

 Cheers,
     Jan (<janbraun@gmx.net>)

 Oh, and thanks a lot for the guest account :)

-- 
Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/741#comment:2>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#597769; Package cabal-install. (Sun, 10 Oct 2010 20:45:07 GMT) Full text and rfc822 format available.

Message #21 received at 597769@bugs.debian.org (full text, mbox):

From: "Hackage" <cvs-ghc@haskell.org>
Cc: cabal-devel@haskell.org
Subject: Re: [Hackage] #741: simplified bash completion file
Date: Sun, 10 Oct 2010 20:44:07 -0000
#741: simplified bash completion file
---------------------------------+------------------------------------------
  Reporter:  nomeata             |        Owner:         
      Type:  defect              |       Status:  closed 
  Priority:  normal              |    Milestone:         
 Component:  cabal-install tool  |      Version:  1.6.0.3
  Severity:  normal              |   Resolution:  fixed  
  Keywords:                      |   Difficulty:  unknown
Ghcversion:                      |     Platform:  Linux  
---------------------------------+------------------------------------------
Changes (by duncan):

  * status:  new => closed
  * resolution:  => fixed


Comment:

 Thanks Jan. Done.

-- 
Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/741#comment:3>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects




Added tag(s) fixed-upstream. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Sun, 10 Oct 2010 20:57:04 GMT) Full text and rfc822 format available.

Reply sent to Marco Túlio Gontijo e Silva <marcot@debian.org>:
You have taken responsibility. (Thu, 26 May 2011 11:36:18 GMT) Full text and rfc822 format available.

Notification sent to Jan Braun <janbraun@gmx.net>:
Bug acknowledged by developer. (Thu, 26 May 2011 11:36:19 GMT) Full text and rfc822 format available.

Message #28 received at 597769-done@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@debian.org>
To: 597769-done <597769-done@bugs.debian.org>
Subject: This bug is fixed on cabal-install 0.10.2
Date: Thu, 26 May 2011 08:31:49 -0300
[Message part 1 (text/plain, inline)]
-- 
marcot
http://marcot.eti.br/
[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Jun 2011 07:36:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:39:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.